Skip to main content
GET
/
v1
/
webhooks
/
deliveries
List Webhook Deliveries
curl --request GET \
  --url https://api.spairehq.com/v1/webhooks/deliveries \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "succeeded": true,
      "http_code": 123,
      "response": "<string>",
      "webhook_event": {
        "created_at": "2023-11-07T05:31:56Z",
        "modified_at": "2023-11-07T05:31:56Z",
        "id": "<string>",
        "skipped": true,
        "payload": "<string>",
        "is_archived": true,
        "last_http_code": 123,
        "succeeded": true
      }
    }
  ],
  "pagination": {
    "total_count": 123,
    "max_page": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spairehq.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate a Personal Access Token from your settings.

Query Parameters

endpoint_id

Filter by webhook endpoint ID.

start_timestamp
string<date-time> | null

Filter deliveries after this timestamp.

end_timestamp
string<date-time> | null

Filter deliveries before this timestamp.

succeeded
boolean | null

Filter by delivery success status.

query
string | null

Query to filter webhook deliveries.

http_code_class
enum<string> | null

Filter by HTTP response code class (2xx, 3xx, 4xx, 5xx).

Available options:
2xx,
3xx,
4xx,
5xx
event_type

Filter by webhook event type.

Available options:
checkout.created,
checkout.updated,
checkout.expired,
customer.created,
customer.updated,
customer.deleted,
customer.state_changed,
customer_seat.assigned,
customer_seat.claimed,
customer_seat.revoked,
member.created,
member.updated,
member.deleted,
order.created,
order.updated,
order.paid,
order.refunded,
subscription.created,
subscription.updated,
subscription.active,
subscription.canceled,
subscription.uncanceled,
subscription.revoked,
subscription.past_due,
refund.created,
refund.updated,
product.created,
product.updated,
benefit.created,
benefit.updated,
benefit_grant.created,
benefit_grant.cycled,
benefit_grant.updated,
benefit_grant.revoked,
organization.updated
page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

Response

Successful Response

items
WebhookDelivery · object[]
required
pagination
Pagination · object
required